/* Functional styling;
 * These styles are required for noUiSlider to function.
 * You don't need to change these rules to apply your design.
 */
.noUi-target,
.noUi-target * {
	-webkit-touch-callout: none;
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
	-webkit-user-select: none;
	-ms-touch-action: none;
	touch-action: none;
	-ms-user-select: none;
	-moz-user-select: none;
	user-select: none;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}
.noUi-target {
	position: relative;
}
.noUi-base,
.noUi-connects {
	width: 100%;
	height: 100%;
	position: relative;
	z-index: 1;
}

/* Wrapper for all connect elements.
 */
.noUi-connects {
	overflow: hidden;
	z-index: 0;
}

.noUi-connect,
.noUi-origin {
	will-change: transform;
	position: absolute;
	z-index: 1;
	top: 0;
	right: 0;
	height: 100%;
	width: 100%;
	-ms-transform-origin: 0 0;
	-webkit-transform-origin: 0 0;
	-webkit-transform-style: preserve-3d;
	transform-origin: 0 0;
	transform-style: flat;
}

/* Offset direction
 */
.noUi-txt-dir-rtl.noUi-horizontal .noUi-origin {
	left: 0;
	right: auto;
}
/* Give origins 0 height/width so they don't interfere with clicking the
 * connect elements.
 */

.noUi-vertical .noUi-origin {
	top: -100%;
	width: 0;
}

.noUi-horizontal .noUi-origin {
	height: 0;
}

.noUi-handle {
	backface-visibility: hidden;
	position: absolute;
}

.noUi-touch-area {
	height: 100%;
	width: 100%;
}

.noUi-state-tap .noUi-connect,
.noUi-state-tap .noUi-origin {
	transition: transform 0.3s;
}

.noUi-state-drag * {
	cursor: inherit !important;
}

/* Slider size and handle placement;
 */
.noUi-horizontal {
	height: 2px;

    @include media-breakpoint-up(md) {
        height: 4px;
    }
}
.noUi-horizontal .noUi-handle {
    width: 24px;
    height: 24px;
	right: -12px;
	top: -11px;

    @include media-breakpoint-up(md) {
        width: 36px;
        height: 36px;
        right: -20px;
        top: -16px;
    }
}

.noUi-vertical {
	width: 2px;

    @include media-breakpoint-up(md) {
        width: 4px;
    }
}
.noUi-vertical .noUi-handle {
	width: 24px;
	height: 24px;
	right: -11px;
	bottom: -12px;

    &:before {
        transform: rotate(90deg);
    }

    @include media-breakpoint-up(md) {
        width: 36px;
        height: 36px;
        right: -16px;
        bottom: -20px;
    }
}
.noUi-txt-dir-rtl.noUi-horizontal .noUi-handle {
	left: -17px;
	right: auto;
}

/* Styling;
 * Giving the connect element a border radius causes issues with using transform: scale
 */
.noUi-target {
	background: #308ECD;
	border-radius: 4px;
//	border: 1px solid #d3d3d3;
//	box-shadow: inset 0 1px 1px #f0f0f0, 0 3px 6px -5px #bbb;
}
.noUi-connects {
	border-radius: 3px;
}
.noUi-connect {
	background: #3fb8af;
}

/* Handles and cursors;
 */
.noUi-draggable {
	cursor: ew-resize;
}

.noUi-vertical .noUi-draggable {
	cursor: ns-resize;
}

.noUi-handle {
    border-radius: 50%;
    background: $green;
	border: 3px solid $white;
	cursor: default;
	box-shadow: none;
    cursor: pointer;

    &:before {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        content: '';
        position: absolute;
        background: url("../img/icon_range.svg") 50% 50% no-repeat;
        background-size: cover;
    }
}

.noUi-active {

}

/* Handle stripes;
 */
.noUi-handle:before,
.noUi-handle:after {

}

.noUi-handle:after {
	display: none;
}

.noUi-vertical .noUi-handle:before,
.noUi-vertical .noUi-handle:after {

}

.noUi-vertical .noUi-handle:after {

}

/* Disabled state;
 */
[disabled] .noUi-connect {
	background: #b8b8b8;
}

[disabled].noUi-target,
[disabled].noUi-handle,
[disabled] .noUi-handle {
	cursor: not-allowed;
}

/* Base;
 *
 */
.noUi-pips,
.noUi-pips * {
	box-sizing: border-box;
}
.noUi-pips {
	position: absolute;
	color: #999;
}
/* Values;
 *
 */
.noUi-value {
	position: absolute;
	white-space: nowrap;
	text-align: center;
}
.noUi-value-sub {
	color: #ccc;
	font-size: 10px;
}
/* Markings;
 *
 */
.noUi-marker {
	position: absolute;
	background: #ccc;
}
.noUi-marker-sub {
	background: #aaa;
}
.noUi-marker-large {
	background: #aaa;
}
/* Horizontal layout;
 *
 */
.noUi-pips-horizontal {
	padding: 10px 0;
	height: 80px;
	top: 100%;
	left: 0;
	width: 100%;
}
.noUi-value-horizontal {
	transform: translate(-50%, 50%);
}
.noUi-rtl .noUi-value-horizontal {
	transform: translate(50%, 50%);
}
.noUi-marker-horizontal.noUi-marker {
	margin-left: -1px;
	width: 2px;
	height: 5px;
}
.noUi-marker-horizontal.noUi-marker-sub {
	height: 10px;
}
.noUi-marker-horizontal.noUi-marker-large {
	height: 15px;
}
/* Vertical layout;
 *
 */
.noUi-pips-vertical {
	padding: 0 10px;
	height: 100%;
	top: 0;
	left: 100%;
}
.noUi-value-vertical {
	transform: translate(0, -50%);
	padding-left: 25px;
}
.noUi-rtl .noUi-value-vertical {
	transform: translate(0, 50%);
}
.noUi-marker-vertical.noUi-marker {
	width: 5px;
	height: 2px;
	margin-top: -1px;
}
.noUi-marker-vertical.noUi-marker-sub {
	width: 10px;
}
.noUi-marker-vertical.noUi-marker-large {
	width: 15px;
}

.noUi-tooltip {
	display: block;
	position: absolute;
	color: #000;
	padding: 2px;
    width: 100px;
	text-align: center;
	white-space: nowrap;
    font-weight: 500;
    font-size: rem(9);
    line-height: rem(10);
    color: rgba(0, 0, 20, 0.5);

    &:after {
        content: ' мм';
    }

    @include media-breakpoint-up(md) {
        padding: 0;
        width: rem(140);
        font-size: rem(14);
        line-height: rem(24);
    }
}

.noUi-horizontal .noUi-tooltip {
	transform: translate(-50%, 0);
	left: 50%;
	top: 100%;
}

.noUi-vertical .noUi-tooltip {
	transform: translate(0, -50%) rotate(-90deg);
	top: 50%;
	left: -58px;


    @include media-breakpoint-up(md) {
        left: -82px;
    }
}

.noUi-horizontal .noUi-origin > .noUi-tooltip {
	transform: translate(50%, 0);
	left: auto;
	bottom: 10px;
}

.noUi-vertical .noUi-origin > .noUi-tooltip {
	transform: translate(0, -18px);
	top: auto;
	right: 28px;
}
